build:
  arch: sparc
  bsp: leon3
  config-ini: |
    [${arch}/${bsp}]
    RTEMS_SMP = True
    RTEMS_QUAL = True
    RTEMS_QUAL_ONLY = True
    BUILD_TESTS = False
    BUILD_VALIDATIONTESTS = True
    INSTALL_LEGACY_MAKEFILES = False
  doxyfile-template: templates/Doxyfile
  enabled:
  - RTEMS_QUAL
  - RTEMS_SMP
  source-directory: modules/rtems
  sources:
  - bsps/shared/doxygen.h
  - bsps/shared/cache/cacheimpl.h
  - bsps/shared/dev/clock/clockimpl.h
  - bsps/sparc/shared/doxygen.h
  - cpukit/doxygen.h
  - cpukit/doxygen/appl-config.h
  - cpukit/doxygen/top-level-groups.h
  - cpukit/libcsupport/src/malloc_p.h
  - cpukit/libtest/t-test-rtems.h
  - cpukit/score/cpu/sparc/syscall.h
  - cpukit/score/src/opt_compat.h
  - cpukit/score/src/opt_ffclock.h
  - cpukit/score/src/opt_ntp.h
  - gccdeps.py
  - long_gcc.py
  - testsuites/validation/tr-event-constant.h
  - testsuites/validation/tr-event-send-receive.h
  - testsuites/validation/tr-object-ident.h
  - testsuites/validation/tr-object-ident-local.h
  - waf
  - wscript
  uids:
  - /build/cpukit/librtemscpu
  - /build/cpukit/librtemstest
  - /build/testsuites/validation/grp
  workspace-directory: workspace/rtems
spec:
  cache-directory: cache
  spec-type-root-uid: /spec/root
  paths:
  - spec-spec
  - spec
  - spec-glossary
  - modules/rtems/spec
glossary:
  project-groups:
  - /glossary-general
  project-header: Glossary
  project-target: modules/rtems-docs/c-user/glossary.rst
  documents:
  - header: Glossary
    rest-source-paths:
    - modules/rtems-docs/eng
    target: modules/rtems-docs/eng/glossary.rst
appl-config:
  doxygen-target: modules/rtems/cpukit/doxygen/appl-config.h
  groups:
  - uid: /acfg/if/group-bdbuf
    target: modules/rtems-docs/c-user/config/bdbuf.rst
  - uid: /acfg/if/group-bsp
    target: modules/rtems-docs/c-user/config/bsp-related.rst
  - uid: /acfg/if/group-classic
    target: modules/rtems-docs/c-user/config/classic-api.rst
  - uid: /acfg/if/group-classicinit
    target: modules/rtems-docs/c-user/config/classic-init-task.rst
  - uid: /acfg/if/group-devdrv
    target: modules/rtems-docs/c-user/config/device-driver.rst
  - uid: /acfg/if/group-eventrecord
    target: modules/rtems-docs/c-user/config/event-record.rst
  - uid: /acfg/if/group-filesystem
    target: modules/rtems-docs/c-user/config/filesystem.rst
  - uid: /acfg/if/group-general
    target: modules/rtems-docs/c-user/config/general.rst
  - uid: /acfg/if/group-idle
    target: modules/rtems-docs/c-user/config/idle-task.rst
  - uid: /acfg/if/group-mpci
    target: modules/rtems-docs/c-user/config/mpci.rst
  - uid: /acfg/if/group-posix
    target: modules/rtems-docs/c-user/config/posix-api.rst
  - uid: /acfg/if/group-posixinit
    target: modules/rtems-docs/c-user/config/posix-init-thread.rst
  - uid: /acfg/if/group-schedgeneral
    target: modules/rtems-docs/c-user/config/scheduler-general.rst
  - uid: /acfg/if/group-stackalloc
    target: modules/rtems-docs/c-user/config/task-stack-alloc.rst
validation:
  base-directory: modules/rtems
interface:
  item-level-interfaces:
  - /build-options/if/container
  - /compiler/if/container
  - /user/if/container
  domains:
    /if/domain: modules/rtems
interface-documentation:
- directives-target: modules/rtems-docs/c-user/io/directives.rst
  group: /rtems/io/if/group
  introduction-target: modules/rtems-docs/c-user/io/introduction.rst
- directives-target: modules/rtems-docs/c-user/semaphore/directives.rst
  group: /rtems/sem/if/group
  introduction-target: modules/rtems-docs/c-user/semaphore/introduction.rst
- directives-target: modules/rtems-docs/c-user/event/directives.rst
  group: /rtems/event/if/group
  introduction-target: modules/rtems-docs/c-user/event/introduction.rst
- directives-target: modules/rtems-docs/c-user/partition/directives.rst
  group: /rtems/part/if/group
  introduction-target: modules/rtems-docs/c-user/partition/introduction.rst
- directives-target: modules/rtems-docs/c-user/object-services/directives.rst
  group: /rtems/object/if/group
  introduction-target: modules/rtems-docs/c-user/object-services/introduction.rst
spec-verification:
  root-type: /spec/root
spec-documentation:
  doc-target: modules/rtems-docs/eng/req/items.rst
  hierarchy-subsection-name: Specification Item Hierarchy
  hierarchy-text: |
    The specification item types have the following hierarchy:
  ignore: '^$'
  item-types-subsection-name: Specification Item Types
  label-prefix: SpecType
  root-type: /spec/root
  section-label-prefix: ReqEng
  section-name: Specification Items
  value-types-subsection-name: Specification Attribute Sets and Value Types
